List Company Dividends
curl --request GET \
--url https://api.rangler.co/v1/companies/{company_id}/dividends \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/companies/{company_id}/dividends"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/companies/{company_id}/dividends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dividend_type": "<string>",
"status": "<string>",
"declaration_date": "2023-12-25",
"qualification_date": "2023-12-25",
"agm_approval_date": "2023-12-25",
"closure_start_date": "2023-12-25",
"closure_end_date": "2023-12-25",
"payment_date": "2023-12-25",
"gross": 123,
"currency": "<string>",
"gross_converted": 123,
"gross_converted_currency": "<string>",
"gross_conversion_rate": 123,
"gross_conversion_rate_date": "2023-12-25",
"fiscal_year": 123,
"period_end_date": "2023-12-25",
"yield_pct": 123,
"yield_currency": "<string>",
"yield_fx_rate": 123,
"yield_fx_rate_date": "2023-12-25",
"source_ref": "<string>",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_title": "<string>",
"filing_url": "<string>",
"source_page": "<string>",
"source_excerpt": "<string>",
"revision_number": 0,
"sources": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_kind": "<string>",
"source_ref": "<string>",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_title": "<string>",
"filing_url": "<string>",
"source_page": "<string>",
"source_excerpt": "<string>",
"source_published_at": "2023-11-07T05:31:56Z"
}
],
"revisions": [
{
"revision_number": 123,
"changed_fields": [
"<string>"
],
"recorded_at": "2023-11-07T05:31:56Z"
}
]
}
],
"ytd_yield": {
"year": 123,
"as_of_date": "2023-12-25",
"price_date": "2023-12-25",
"total_gross": 123,
"currency": "<string>",
"price": 123,
"yield_pct": 123,
"included_dividend_count": 123,
"period": "YTD",
"converted_dividend_count": 0,
"excluded_dividend_count": 0
}
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Companies
List Company Dividends
Requires paid access.
GET
/
v1
/
companies
/
{company_id}
/
dividends
List Company Dividends
curl --request GET \
--url https://api.rangler.co/v1/companies/{company_id}/dividends \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/companies/{company_id}/dividends"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/companies/{company_id}/dividends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dividend_type": "<string>",
"status": "<string>",
"declaration_date": "2023-12-25",
"qualification_date": "2023-12-25",
"agm_approval_date": "2023-12-25",
"closure_start_date": "2023-12-25",
"closure_end_date": "2023-12-25",
"payment_date": "2023-12-25",
"gross": 123,
"currency": "<string>",
"gross_converted": 123,
"gross_converted_currency": "<string>",
"gross_conversion_rate": 123,
"gross_conversion_rate_date": "2023-12-25",
"fiscal_year": 123,
"period_end_date": "2023-12-25",
"yield_pct": 123,
"yield_currency": "<string>",
"yield_fx_rate": 123,
"yield_fx_rate_date": "2023-12-25",
"source_ref": "<string>",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_title": "<string>",
"filing_url": "<string>",
"source_page": "<string>",
"source_excerpt": "<string>",
"revision_number": 0,
"sources": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_kind": "<string>",
"source_ref": "<string>",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_title": "<string>",
"filing_url": "<string>",
"source_page": "<string>",
"source_excerpt": "<string>",
"source_published_at": "2023-11-07T05:31:56Z"
}
],
"revisions": [
{
"revision_number": 123,
"changed_fields": [
"<string>"
],
"recorded_at": "2023-11-07T05:31:56Z"
}
]
}
],
"ytd_yield": {
"year": 123,
"as_of_date": "2023-12-25",
"price_date": "2023-12-25",
"total_gross": 123,
"currency": "<string>",
"price": 123,
"yield_pct": 123,
"included_dividend_count": 123,
"period": "YTD",
"converted_dividend_count": 0,
"excluded_dividend_count": 0
}
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Path Parameters
Query Parameters
Required range:
1 <= x <= 250Date used for the YTD dividend-yield summary; defaults to the latest available price.